/*
 * Click nbfs://nbhost/SystemFileSystem/Templates/Licenses/license-default.txt to change this license
 * Click nbfs://nbhost/SystemFileSystem/Templates/Classes/Class.java to edit this template
 */
package com.qsoft.rs.sincoar.model;

import java.io.Serializable;
import javax.persistence.Basic;
import javax.persistence.Column;
import javax.persistence.Embeddable;

/**
 *
 * @author developer2
 */
@Embeddable
public class TcustfamiliarllinkPK implements Serializable {

    @Basic(optional = false)
    @Column(name = "PERSONCODE")
    private long personcode;
    @Basic(optional = false)
    @Column(name = "LINKPERSONCODE")
    private long linkpersoncode;

    public TcustfamiliarllinkPK() {
    }

    public TcustfamiliarllinkPK(long personcode, long linkpersoncode) {
        this.personcode = personcode;
        this.linkpersoncode = linkpersoncode;
    }

    public long getPersoncode() {
        return personcode;
    }

    public void setPersoncode(long personcode) {
        this.personcode = personcode;
    }

    public long getLinkpersoncode() {
        return linkpersoncode;
    }

    public void setLinkpersoncode(long linkpersoncode) {
        this.linkpersoncode = linkpersoncode;
    }

    @Override
    public int hashCode() {
        int hash = 0;
        hash += (int) personcode;
        hash += (int) linkpersoncode;
        return hash;
    }

    @Override
    public boolean equals(Object object) {
        // TODO: Warning - this method won't work in the case the id fields are not set
        if (!(object instanceof TcustfamiliarllinkPK)) {
            return false;
        }
        TcustfamiliarllinkPK other = (TcustfamiliarllinkPK) object;
        if (this.personcode != other.personcode) {
            return false;
        }
        if (this.linkpersoncode != other.linkpersoncode) {
            return false;
        }
        return true;
    }

    @Override
    public String toString() {
        return "com.qsoft.rs.sincoar.model.TcustfamiliarllinkPK[ personcode=" + personcode + ", linkpersoncode=" + linkpersoncode + " ]";
    }
    
}
